<ion-content [fullscreen]="true" class="main-bg-container">
  <!-- Fade Header with collapse header -->
  <ion-header collapse="fade" [translucent]="true">
    <ion-toolbar>
      <ion-buttons class="back-button">
        <ion-back-button slot="start" defaultHref="/admin"></ion-back-button>
      </ion-buttons>
      <div *ngIf="isOperating === false" class="invalid-feedback">
        Bitte Begründung im Kommentarfeld eingeben.
      </div>
      <ion-toggle [(ngModel)]="isOperating" slot="end" name="kiwi" color="success"></ion-toggle>
    </ion-toolbar>
    <ion-toolbar>
      <ion-title size="large">Fahrparameter</ion-title>
    </ion-toolbar>
  </ion-header>
  <form #f="ngForm" (ngSubmit)="onSubmit(f)">
    <div class="grid">
      <div class="grid-item">
        <h2>Fährdatum {{showDate}}</h2>
        <ion-datetime [showDefaultButtons]="false" locale="de-DE" [value]="workDate" #datetime (ionChange)="dateChanged(datetime.value)" [min]="yesterday" presentation="date" first-day-of-week="1">
          <!-- <div slot="time-label">Fährzeit Beginn</div> -->
        </ion-datetime>
      </div>
      <div class="grid-item">
        <h2>Fährzeit Beginn</h2>
        <ion-datetime [value]="startTime" minuteValues="0,15,30,45" #time (ionChange)="startChanged(time.value)" presentation="time"></ion-datetime>
      </div>
      <div *ngIf="startLaterThanExpected(time.value) === true" class="invalid-feedback">
        Bitte Begründung im Kommentarfeld eingeben.
      </div>
      <div class="grid-item">
        <h2>Fährzeit Ende</h2>
        <ion-datetime [value]="endtime" minuteValues="0,15,30,45" #dtEndtime (ionChange)="endChanged(dtEndtime.value)" presentation="time"></ion-datetime>
      </div>
      <div *ngIf="endBeforeExpected(dtEndtime.value) === true" class="invalid-feedback">
        Bitte Begründung im Kommentarfeld eingeben.
      </div>
      <div class="grid-item">
        <div class="text-holder">
          <h2>Diensthabender</h2>
          <ion-item>
            <ion-button id="AddWorker" slot="start" (click)="getUserInfo()">
              <ion-icon name="person-add-sharp"></ion-icon>
            </ion-button>
            <ion-input [(ngModel)]="worker" name="worker" placeholder="Bitte Diensthabenden angeben"></ion-input>
          </ion-item>
        </div>
      </div>
      <div class="grid-item">
        <div class="text-holder">
          <h2>Kommentar (öffentlich)</h2>
          <ion-textarea [ngModelOptions]="{standalone: true}" [(ngModel)]="comment" (click)="setOpen(true)" placeholder="Schreibe hier einen kurzen Text..."></ion-textarea>
          <!-- <ion-button id="admincomment" (click)="setOpen(true)">...</ion-button> -->
        </div>
        <div *ngIf="(endBeforeExpected(dtEndtime.value) || startLaterThanExpected(time.value) || isOperating === false) && formSubmit === true" class="invalid-feedback">
          Bitte Begründung im Kommentarfeld eingeben.
        </div>
      </div>
      <div class="grid-item">
        <ion-button
          [disabled]="!f.valid && loading"
          expand="block"
          color="success"
          type="submit">
                  <span *ngIf="loading">
                    <ion-spinner class="ion-text-center" name="crescent"></ion-spinner>
                  </span>
          <span *ngIf="!loading">Speichern</span>
        </ion-button>
      </div>
    </div>
    <ion-popover [isOpen]="isPopoverOpen" trigger="AddWorker" triggerAction="click" reference="trigger" side="top">
      <ng-template>
        <ion-content class="ion-padding">
          <ion-list *ngFor="let user of users">
            <ion-item>
              <ion-icon name="person-sharp" slot="start"></ion-icon>
              <ion-label (click)="selectUser(user)" >{{user.vorname}} {{user.nachname}}</ion-label>
            </ion-item>
          </ion-list>
        </ion-content>
      </ng-template>
    </ion-popover>
    <div id="ion-modal">
    <ion-modal [isOpen]="isModalOpen">
      <ng-template>
        <ion-header>
          <ion-toolbar>
            <ion-title>Begründung</ion-title>
            <ion-buttons slot="end">
              <ion-button (click)="setOpen(false)">Abbrechen</ion-button>
            </ion-buttons>
          </ion-toolbar>
        </ion-header>
        <ion-content class="ion-padding">
          <ion-list *ngFor="let option of options">
            <ion-item>
              <ion-label>{{option.shorttext}}</ion-label>
              <ion-radio (click)="selectOption(option.text)" slot="end"></ion-radio>
            </ion-item>
          </ion-list>
          <ion-item>
            <ion-label position="floating">Freier Text</ion-label>
            <ion-input [(ngModel)]="freeText" name="freeText" placeholder="Hier Text eingeben" clearInput="true" maxlength="160" inputmode="text"></ion-input>
          </ion-item>
          <ion-button expand="block"  (click)="selectOption(freeText)">
            Übernehmen
          </ion-button>
        </ion-content>
      </ng-template>
    </ion-modal>
  </div>
  </form>
</ion-content>
